Index: /LMDZ4/trunk/libf/phylmd/clmain.F
===================================================================
--- /LMDZ4/trunk/libf/phylmd/clmain.F	(revision 643)
+++ /LMDZ4/trunk/libf/phylmd/clmain.F	(revision 644)
@@ -10,5 +10,6 @@
      .                  soil_model,cdmmax, cdhmax,
      .                  ksta, ksta_ter, ok_kzmin, ftsoil,qsol,
-     .                  paprs,pplay,radsol,snow,qsurf,evap,albe,alblw,
+cIM BAD .                  paprs,pplay,radsol,snow,qsurf,evap,albe,alblw,
+     .                  paprs,pplay,snow,qsurf,evap,albe,alblw,
      .                  fluxlat,
      .                  rain_f, snow_f, solsw, sollw, sollwdown, fder,
@@ -20,5 +21,10 @@
      .                  dflux_t,dflux_q,
      .                  zcoefh,zu1,zv1, t2m, q2m, u10m, v10m,
-     .                  fqcalving,ffonte, run_off_lic_0)
+cIM cf. AM : pbl
+     .                  pblh,capCL,oliqCL,cteiCL,pblT,
+     .                  therm,trmb1,trmb2,trmb3,plcl,
+     .                  fqcalving,ffonte, run_off_lic_0,
+cIM "slab" ocean
+     .                  flux_o, flux_g, tslab, seaice)
 cAA .                  itr, tr, flux_surf, d_tr)
 cAA REM:
@@ -72,4 +78,10 @@
 c dflux_t derive du flux sensible
 c dflux_q derive du flux latent
+cIM "slab" ocean
+c flux_g---output-R-  flux glace (pour OCEAN='slab  ')
+c flux_o---output-R-  flux ocean (pour OCEAN='slab  ')
+c tslab-in/output-R temperature du slab ocean (en Kelvin) ! uniqmnt pour slab
+c seaice---output-R-  glace de mer (kg/m2) (pour OCEAN='slab  ')
+ccc
 c ffonte----Flux thermique utilise pour fondre la neige
 c fqcalving-Flux d'eau "perdue" par la surface et necessaire pour limiter la
@@ -82,4 +94,14 @@
 c flux_surf--input-R- flux de traceurs a la surface
 c d_tr-------output-R tendance de traceurs
+cIM cf. AM : PBL
+c trmb1-------deep_cape
+c trmb2--------inhibition 
+c trmb3-------Point Omega
+c Cape(klon)-------Cape du thermique
+c EauLiq(klon)-------Eau liqu integr du thermique
+c ctei(klon)-------Critere d'instab d'entrainmt des nuages de CL
+c lcl------- Niveau de condensation
+c pblh------- HCL
+c pblT------- T au nveau HCL
 c======================================================================
 #include "dimensions.h"
@@ -96,5 +118,6 @@
       REAL t(klon,klev), q(klon,klev)
       REAL u(klon,klev), v(klon,klev)
-      REAL paprs(klon,klev+1), pplay(klon,klev), radsol(klon)
+cIM 230604 BAD  REAL radsol(klon) ??? 
+      REAL paprs(klon,klev+1), pplay(klon,klev)
       REAL rlon(klon), rlat(klon), cufi(klon), cvfi(klon)
       REAL d_t(klon, klev), d_q(klon, klev)
@@ -102,4 +125,9 @@
       REAL flux_t(klon,klev, nbsrf), flux_q(klon,klev, nbsrf)
       REAL dflux_t(klon), dflux_q(klon)
+cIM "slab" ocean
+      REAL flux_o(klon), flux_g(klon)
+      REAL y_flux_o(klon), y_flux_g(klon)
+      REAL tslab(klon), ytslab(klon)
+      REAL seaice(klon), y_seaice(klon)
 cIM cf JLD
       REAL y_fqcalving(klon), y_ffonte(klon)
@@ -189,4 +217,5 @@
       REAL ycoefm0(klon,klev), ycoefh0(klon,klev)
 
+cIM 081204 hcl_Anne ? BEG
       real yzlay(klon,klev),yzlev(klon,klev+1),yteta(klon,klev)
       real ykmm(klon,klev+1),ykmn(klon,klev+1)
@@ -194,10 +223,6 @@
       real yq2(klon,klev+1),q2(klon,klev+1,nbsrf)
       real q2diag(klon,klev+1)
-      real yustar(klon),y_cd_m(klon),y_cd_h(klon)
-
-
-
-
-
+cIM 081204   real yustar(klon),y_cd_m(klon),y_cd_h(klon)
+cIM 081204 hcl_Anne ? END
 c
 #include "YOMCST.h"
@@ -241,4 +266,5 @@
 c
       REAL yt2m(klon), yq2m(klon), yu10m(klon)
+      REAL yustar(klon)
 c -- LOOP
        REAL yu10mx(klon)
@@ -247,4 +273,30 @@
 c -- LOOP
 c
+      REAL yt10m(klon), yq10m(klon)
+cIM cf. AM : pbl, hbtm2 (Comme les autres diagnostics on cumule ds physic ce qui 
+c   permet de sortir les grdeurs par sous surface)
+      REAL pblh(klon,nbsrf)
+      REAL plcl(klon,nbsrf)
+      REAL capCL(klon,nbsrf)
+      REAL oliqCL(klon,nbsrf)
+      REAL cteiCL(klon,nbsrf)
+      REAL pblT(klon,nbsrf)
+      REAL therm(klon,nbsrf)
+      REAL trmb1(klon,nbsrf)
+      REAL trmb2(klon,nbsrf)
+      REAL trmb3(klon,nbsrf)
+      REAL ypblh(klon)
+      REAL ylcl(klon)
+      REAL ycapCL(klon)
+      REAL yoliqCL(klon)
+      REAL ycteiCL(klon)
+      REAL ypblT(klon)
+      REAL ytherm(klon)
+      REAL ytrmb1(klon)
+      REAL ytrmb2(klon)
+      REAL ytrmb3(klon)
+      REAL y_cd_h(klon), y_cd_m(klon)
+c     REAL ygamt(klon,2:klev) ! contre-gradient pour temperature
+c     REAL ygamq(klon,2:klev) ! contre-gradient pour humidite
       REAL uzon(klon), vmer(klon)
       REAL tair1(klon), qair1(klon), tairsol(klon)
@@ -269,6 +321,6 @@
           call flush(6)
       endif
-      IF (first_appel) THEN
-!          first_appel=.false.
+      IF (debugindex .and. first_appel) THEN
+          first_appel=.false.
 !
 ! initialisation sorties netcdf
@@ -447,4 +499,7 @@
         ypct(j) = pctsrf(i,nsrf)
         yts(j) = ts(i,nsrf)
+cIM "slab" ocean
+        ytslab(i) = tslab(i)
+c
         ysnow(j) = snow(i,nsrf)
         yqsurf(j) = qsurf(i,nsrf)
@@ -504,12 +559,5 @@
 c
 c
-cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 c calculer Cdrag et les coefficients d'echange
-cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-
-cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-c  Calcul anciens du LMD. Effectues de toutes facons.
-cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
-
       CALL coefkz(nsrf, knon, ypaprs, ypplay,
 cIM 261103
@@ -519,32 +567,17 @@
      .            yqsurf, 
      .            ycoefm, ycoefh)
-
-      CALL coefkz2(nsrf, knon, ypaprs, ypplay,yt,
+cIM 081204 BEG
+cCR test
+      if (iflag_pbl.eq.1) then
+cIM 081204 END
+        CALL coefkz2(nsrf, knon, ypaprs, ypplay,yt,
      .                  ycoefm0, ycoefh0)
-      if (first_appel) then
-        if (prt_level > 9) THEN
-          WRITE(lunout,*)'Apres coefkz2 '
-          WRITE(lunout,*)'nsrf,knon,yts,yrugos,yqsurf',
-     .    nsrf,knon,yts,yrugos,yqsurf
-          WRITE(lunout,*)'ypaprs(1,k),ypplay(1,k),yu,yv,yt'
-          do k=1,klev
-            WRITE(lunout,*)ypaprs(1,k),ypplay(1,k),
-     .      yu(1,k),yv(1,k),yt(1,k)
-          enddo
-          do k=1,klev
-            WRITE(lunout,*)ycoefm(1,k),ycoefh(1,k),
-     .      ycoefm0(1,k),ycoefh0(1,k)
-          enddo
-        ENDIF
-        first_appel=.false.
+        DO k = 1, klev
+        DO i = 1, knon
+           ycoefm(i,k) = MAX(ycoefm(i,k),ycoefm0(i,k))
+           ycoefh(i,k) = MAX(ycoefh(i,k),ycoefh0(i,k))
+        ENDDO
+        ENDDO
       endif
-
-      DO k = 1, klev
-      DO i = 1, knon
-         ycoefm(i,k) = MAX(ycoefm(i,k),ycoefm0(i,k))
-         ycoefh(i,k) = MAX(ycoefh(i,k),ycoefh0(i,k))
-      ENDDO
-      ENDDO
-
 c
 cIM cf JLD : on seuille ycoefm et ycoefh
@@ -690,5 +723,7 @@
      s          y_d_t, y_d_q, y_d_ts, yz0_new,
      s          y_flux_t, y_flux_q, y_dflux_t, y_dflux_q,
-     s          y_fqcalving,y_ffonte,y_run_off_lic_0)
+     s          y_fqcalving,y_ffonte,y_run_off_lic_0,
+cIM "slab" ocean
+     s          y_flux_o, y_flux_g, ytslab, y_seaice)
 c
 c calculer la longueur de rugosite sur ocean
@@ -829,33 +864,11 @@
       ENDDO
 c
-      if (check) THEN
-       WRITE(*,*)' avant stdlevvar. nsrf=',nsrf
-       IF(nsrf.EQ.3) THEN
-        j=1465
-        WRITE(*,*)' INstO',klon,knon,nsrf,zxli,uzon(j),vmer(j), 
-     &      tair1(j),qair1(j),zgeo1(j),tairsol(j),qairsol(j),rugo1(j),
-     &      psfce(j),patm(j)
-       ENDIF
-       WRITE(*,*)' qairsol (min, max)'
-     $     , minval(qairsol(1:knon)), maxval(qairsol(1:knon))
-       call flush(6)
-      ENDIF
-c
       CALL stdlevvar(klon, knon, nsrf, zxli,
      &               uzon, vmer, tair1, qair1, zgeo1,
      &               tairsol, qairsol, rugo1, psfce, patm,
-     &               yt2m, yq2m, yu10m)
-
-c
-      if (check) THEN
-      IF(nsrf.EQ.3) THEN
-       j=1465
-       WRITE(*,*)' OUstd',klon,knon,nsrf,zxli,uzon(j),vmer(j), 
-     & tair1(j),qair1(j),zgeo1(j),tairsol(j),qairsol(j),rugo1(j),
-     & psfce(j),patm(j)
-       WRITE(*,*)' tqu',yt2m(j),yq2m(j),yu10m(j)
-          call flush(6)
-      ENDIF
-      ENDIF
+cIM  &               yt2m, yq2m, yu10m)
+     &               yt2m, yq2m, yt10m, yq10m, yu10m, yustar)
+cIM 081204 END
+c
 c
       DO j=1, knon
@@ -863,11 +876,4 @@
        t2m(i,nsrf)=yt2m(j)
 
-       if (check) THEN
-        IF(nsrf.EQ.3 .and. j.EQ.1465) THEN
-         WRITE(*,*) 't2m APRES stdlev',j,i,tair1(j),t2m(i,nsrf),
-     $   tairsol(j),rlon(i),rlat(i)
-         call flush(6)
-        ENDIF
-       ENDIF
 c
        q2m(i,nsrf)=yq2m(j)
@@ -878,12 +884,54 @@
 c
       ENDDO
+c
+cIM cf AM : pbl, HBTM
+      DO i = 1, knon
+         y_cd_h(i) = ycoefh(i,1)
+         y_cd_m(i) = ycoefm(i,1)
+      ENDDO
+c     print*,'appel hbtm2'
+      CALL HBTM(knon, ypaprs, ypplay,
+     .          yt2m,yt10m,yq2m,yq10m,yustar,
+     .          y_flux_t,y_flux_q,yu,yv,yt,yq,
+     .          ypblh,ycapCL,yoliqCL,ycteiCL,ypblT,
+     .          ytherm,ytrmb1,ytrmb2,ytrmb3,ylcl)
+c     print*,'fin hbtm2'
+c
+      DO j=1, knon
+       i = ni(j)
+       pblh(i,nsrf)   = ypblh(j)
+       plcl(i,nsrf)   = ylcl(j)
+       capCL(i,nsrf)  = ycapCL(j)
+       oliqCL(i,nsrf) = yoliqCL(j)
+       cteiCL(i,nsrf) = ycteiCL(j)
+       pblT(i,nsrf)   = ypblT(j)
+       therm(i,nsrf)  = ytherm(j)
+       trmb1(i,nsrf)  = ytrmb1(j)
+       trmb2(i,nsrf)  = ytrmb2(j)
+       trmb3(i,nsrf)  = ytrmb3(j)
+      ENDDO
+c
 #else
-       DO j=1, knon
-         i = ni(j) 
-         t2m(i,nsrf)=0.
-         q2m(i,nsrf)=0.
-         u10m(i,nsrf)=0.
-         v10m(i,nsrf)=0.
-       ENDDO 
+cIM cf AM : pbl, HBTM
+      DO j=1, knon
+       i = ni(j)
+       pblh(i,nsrf)   = 0.
+       plcl(i,nsrf)   = 0.
+       capCL(i,nsrf)  = 0.
+       oliqCL(i,nsrf) = 0.
+       cteiCL(i,nsrf) = 0.
+       pblT(i,nsrf)   = 0.
+       therm(i,nsrf)  = 0.
+       trmb1(i,nsrf)  = 0.
+       trmb2(i,nsrf)  = 0.
+       trmb3(i,nsrf)  = 0.
+      ENDDO 
+      DO j=1, knon
+       i = ni(j) 
+       t2m(i,nsrf)=0.
+       q2m(i,nsrf)=0.
+       u10m(i,nsrf)=0.
+       v10m(i,nsrf)=0.
+      ENDDO 
 #endif
 
@@ -894,8 +942,38 @@
          enddo
       enddo
-c
-
+cIM "slab" ocean 
+      IF(OCEAN.EQ.'slab  '.OR.OCEAN.EQ.'force ') THEN
+       IF (nsrf.EQ.is_oce) THEN
+        DO j = 1, knon
+c on projette sur la grille globale
+         i = ni(j)
+         IF(pctsrf_new(i,is_oce).GT.epsfra) THEN
+          flux_o(i) = y_flux_o(j)
+         ELSE
+          flux_o(i) = 0.
+         ENDIF
+        ENDDO
+       ENDIF
+c
+       IF (nsrf.EQ.is_sic) THEN
+        DO j = 1, knon
+         i = ni(j)
+cIM 230604 on pondere lorsque l'on fait le bilan au sol :  flux_g(i) = y_flux_g(j)*ypct(j)
+         IF(pctsrf_new(i,is_sic).GT.epsfra) THEN
+          flux_g(i) = y_flux_g(j)
+         ELSE
+          flux_g(i) = 0.
+         ENDIF
+        ENDDO
+       ENDIF !nsrf.EQ.is_sic
+      ENDIF !OCEAN
+c
+      IF(OCEAN.EQ.'slab  ') THEN
+       IF(nsrf.EQ.is_oce) then
+        tslab(1:klon) = ytslab(1:klon)
+        seaice(1:klon) = y_seaice(1:klon)
+       ENDIF !nsrf
+      ENDIF !OCEAN
 99999 CONTINUE
-c
 C
 C On utilise les nouvelles surfaces
@@ -924,5 +1002,7 @@
      s                d_t, d_q, d_ts, z0_new, 
      s                flux_t, flux_q,dflux_s,dflux_l,
-     s                fqcalving,ffonte,run_off_lic_0)
+     s                fqcalving,ffonte,run_off_lic_0,
+cIM "slab" ocean
+     s                flux_o,flux_g,tslab,seaice)
 
       USE interface_surf
@@ -1001,4 +1081,10 @@
 c hauteur de neige, en kg/m2/s
       REAL fqcalving(klon)
+cIM "slab" ocean
+      REAL tslab(klon)  !temperature du slab ocean (K) (OCEAN='slab  ')
+      REAL seaice(klon) ! glace de mer en kg/m2
+      REAL flux_o(klon) ! flux entre l'ocean et l'atmosphere W/m2
+      REAL flux_g(klon) ! flux entre l'ocean et la glace de mer W/m2
+c
 c======================================================================
       REAL t_grnd  ! temperature de rappel pour glace de mer
@@ -1199,5 +1285,13 @@
         zlev1(1:knon) = delp(1:knon,1)
 c        swnet = swdown * (1. - albedo)
-        swdown(1:knon) = swnet(1:knon)
+c
+cIM swdown=flux SW incident sur terres
+cIM swdown=flux SW net sur les autres surfaces 
+cIM     swdown(1:knon) = swnet(1:knon)
+        if(nisurf.eq.is_ter) THEN 
+         swdown(1:knon) = swnet(1:knon)/(1-albedo(1:knon)) 
+        else 
+         swdown(1:knon) = swnet(1:knon)
+        endif
 c      enddo
       ccanopy = co2_ppm
@@ -1220,5 +1314,7 @@
      s evap, fluxsens, fluxlat, dflux_l, dflux_s,              
      s tsol_rad, tsurf_new, alb_new, alblw, emis_new, z0_new, 
-     s pctsrf_new, agesno,fqcalving,ffonte, run_off_lic_0)
+     s pctsrf_new, agesno,fqcalving,ffonte, run_off_lic_0,
+cIM "slab" ocean 
+     s flux_o, flux_g, tslab, seaice)
 
 
@@ -1472,5 +1568,5 @@
 c Variables locales:
 c
-      INTEGER i, k
+      INTEGER i, k, kk !IM 120704
       REAL zgeop(klon,klev)
       REAL zmgeom(klon)
Index: /LMDZ4/trunk/libf/phylmd/cltracrn.F
===================================================================
--- /LMDZ4/trunk/libf/phylmd/cltracrn.F	(revision 643)
+++ /LMDZ4/trunk/libf/phylmd/cltracrn.F	(revision 644)
@@ -82,5 +82,5 @@
 cAA que le pondere par la fraction de nature de sol.
 c 
-      print*,'PASSAGE DANS CLTRACRN'
+c      print*,'PASSAGE DANS CLTRACRN'
 
       DO i = 1,klon
Index: /LMDZ4/trunk/libf/phylmd/condsurf.F
===================================================================
--- /LMDZ4/trunk/libf/phylmd/condsurf.F	(revision 644)
+++ /LMDZ4/trunk/libf/phylmd/condsurf.F	(revision 644)
@@ -0,0 +1,126 @@
+c $Header$
+c
+      SUBROUTINE condsurf( jour, jourvrai, lmt_bils )
+      IMPLICIT none
+c
+c I. Musat 05.2005
+c
+c Lire chaque jour le bilan de chaleur au sol issu 
+c d'un run atmospherique afin de l'utiliser dans
+c dans un run "slab" ocean 
+c -----------------------------------------
+c jour     : input  , numero du jour a lire
+c jourvrai : input  , vrai jour de la simulation  
+c
+c lmt_bils: bilan chaleur au sol (a utiliser pour "slab-ocean")
+c
+#include "netcdf.inc"
+      INTEGER nid, nvarid
+      INTEGER debut(2)
+      INTEGER epais(2)
+c
+#include "dimensions.h"
+#include "dimphy.h"
+#include "indicesol.h"
+#include "temps.h"
+#include "clesphys.h"
+c
+      INTEGER     nannemax
+      PARAMETER ( nannemax = 60 )
+c
+      INTEGER jour, jourvrai
+      INTEGER jourvrai
+      REAL lmt_bils(klon) !bilan chaleur au sol
+c
+c Variables locales:
+      INTEGER ig, i, kt, ierr
+      LOGICAL ok
+      INTEGER anneelim,anneemax
+      CHARACTER*20 fich
+cc
+cc   .....................................................................
+cc
+cc    Pour lire le fichier limit correspondant vraiment  a l'annee de la
+cc     simulation en cours , il suffit de mettre  ok_limitvrai = .TRUE.
+cc
+cc   ......................................................................
+c
+c
+      IF (jour.LT.0 .OR. jour.GT.(360-1)) THEN
+         PRINT*,'Le jour demande n est pas correct: ', jour
+         CALL ABORT
+      ENDIF
+c
+       anneelim  = annee_ref
+       anneemax  = annee_ref + nannemax
+c
+c
+       IF( ok_limitvrai )       THEN
+          DO  kt = 1, nannemax
+           IF(jourvrai.LE. (kt-1)*360 + 359  )  THEN
+              WRITE(fich,'("limit",i4,".nc")') anneelim
+c             PRINT *,' Fichier  Limite ',fich
+              GO TO 100
+             ENDIF
+           anneelim = anneelim + 1
+          ENDDO
+
+         PRINT *,' PBS ! Le jour a lire sur le fichier limit ne se '
+         PRINT *,' trouve pas sur les ',nannemax,' annees a partir de '
+         PRINT *,' l annee de debut', annee_ref
+         CALL EXIT(1)
+c
+100     CONTINUE
+c
+       ELSE
+     
+            WRITE(fich,'("limitNEW.nc")') 
+c           PRINT *,' Fichier  Limite ',fich
+       ENDIF
+c
+c Ouvrir le fichier en format NetCDF:
+c
+      ierr = NF_OPEN (fich, NF_NOWRITE,nid)
+      IF (ierr.NE.NF_NOERR) THEN
+        WRITE(6,*)' Pb d''ouverture du fichier ', fich
+        WRITE(6,*)' Le fichier limit ',fich,' (avec 4 chiffres , pour' 
+        WRITE(6,*)'       l an 2000 )  ,  n existe  pas !  ' 
+        WRITE(6,*)' ierr = ', ierr
+        CALL EXIT(1)
+      ENDIF
+c     DO k = 1, jour
+c La tranche de donnees a lire:
+c
+      debut(1) = 1
+      debut(2) = jour
+      epais(1) = klon
+      epais(2) = 1
+c
+c Bilan flux de chaleur au sol:
+c
+      ierr = NF_INQ_VARID (nid, "BILS", nvarid)
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, "condsurf: Le champ <BILS> est absent"
+         CALL abort
+      ENDIF
+c     PRINT*,'debut,epais',debut,epais
+#ifdef NC_DOUBLE
+      ierr = NF_GET_VARA_DOUBLE(nid, nvarid,debut,epais,lmt_bils)
+#else
+      ierr = NF_GET_VARA_REAL(nid, nvarid,debut,epais,lmt_bils)
+#endif
+      IF (ierr .NE. NF_NOERR) THEN
+         PRINT*, "condsurf: Lecture echouee pour <BILS>"
+         CALL abort
+      ENDIF
+c     ENDDO !k = 1, jour
+c
+c Fermer le fichier:
+c
+      ierr = NF_CLOSE(nid)
+c
+c
+c     PRINT*, 'lmt_bils est lu pour jour: ', jour
+c
+      RETURN
+      END
Index: /LMDZ4/trunk/libf/phylmd/conf_phys.F90
===================================================================
--- /LMDZ4/trunk/libf/phylmd/conf_phys.F90	(revision 643)
+++ /LMDZ4/trunk/libf/phylmd/conf_phys.F90	(revision 644)
@@ -22,4 +22,5 @@
 include "clesphys.inc"
 include "compbl.h"
+#include "control.inc"
 !
 ! Configuration de la "physique" de LMDZ a l'aide de la fonction
@@ -577,16 +578,131 @@
 
 !
-!
-!Config Key  = 
-!Config Desc =  
-!Config Def  =
-!Config Help = 
-!
-!   =
-!  call getin('',)
-!
-!
-!
-!
+!Config Key  = type_run
+!Config Desc =
+!Config Def  = 'AMIP' ou 'ENSP'
+!Config Help =
+!
+  type_run = 'AMIP'
+  call getin('type_run',type_run)
+
+!
+!Config Key  = ok_isccp
+!Config Desc =
+!Config Def  = .true.
+!Config Help =
+!
+! ok_isccp = .true.
+  ok_isccp = .false.
+  call getin('ok_isccp',ok_isccp)
+
+!
+!
+!Config Key  = ok_regdyn
+!Config Desc =
+!Config Def  = 'AMIP'
+!Config Help =
+!
+! ok_regdyn = .true.
+  ok_regdyn = .false.
+  call getin('ok_regdyn',ok_regdyn)
+!
+! coordonnees (lonmin_ins, lonmax_ins, latmin_ins, latmax_ins) pour la zone 
+! avec sorties instantannees tous les pas de temps de la physique => "histbilKP_ins.nc"
+!
+!Config Key  = lonmin_ins
+!Config Desc = 100.  
+!Config Def  = longitude minimale sorties "bilKP_ins"
+!Config Help = 
+!
+   lonmin_ins = 100.
+   call getin('lonmin_ins',lonmin_ins)
+!
+!Config Key  = lonmax_ins
+!Config Desc = 130. 
+!Config Def  = longitude maximale sorties "bilKP_ins"
+!Config Help =
+!
+   lonmax_ins = 130.
+   call getin('lonmax_ins',lonmax_ins)
+!
+!Config Key  = latmin_ins
+!Config Desc = -20.  
+!Config Def  = latitude minimale sorties "bilKP_ins"
+!Config Help = 
+!
+   latmin_ins = -20.
+   call getin('latmin_ins',latmin_ins)
+!
+!Config Key  = latmax_ins
+!Config Desc = 20. 
+!Config Def  = latitude maximale sorties "bilKP_ins"
+!Config Help =
+!
+   latmax_ins = 20.
+   call getin('latmax_ins',latmax_ins)
+!
+!Config Key  = ecrit_ins
+!Config Desc =
+!Config Def  = NINT(86400./dtime/48.) !a chaque pas de temps physique
+!Config Help =
+!
+! ecrit_ins = NINT(86400./dtime/48.)
+  ecrit_ins = NINT(86400./48.)
+  call getin('ecrit_ins',ecrit_ins)
+!
+!Config Key  = ecrit_hf
+!Config Desc =
+!Config Def  = NINT(86400./dtime *0.25) !toutes les 6h
+!Config Help =
+!
+! ecrit_hf = NINT(86400./dtime *0.25)
+  ecrit_hf = NINT(86400. *0.25)
+  call getin('ecrit_hf',ecrit_hf)
+!
+!Config Key  = ecrit_hf2mth
+!Config Desc =
+!Config Def  = 4*30 !ecriture mens. a partir de val. inst. toutes les 6h
+!Config Help =
+!
+  ecrit_hf2mth = 4*30
+  call getin('ecrit_hf2mth',ecrit_hf2mth)
+!
+!Config Key  = ecrit_day
+!Config Desc =
+!Config Def  = NINT(86400./dtime *1.0) !tous les jours
+!Config Help =
+!
+! ecrit_day = NINT(86400./dtime *1.0)
+  ecrit_day = NINT(86400. *1.0)
+  call getin('ecrit_day',ecrit_day)
+!
+!Config Key  = ecrit_mth
+!Config Desc =
+!Config Def  = NINT(86400./dtime *ecritphy) !1fois par mois
+!Config Help =
+!
+! ecrit_mth = NINT(86400./dtime *ecritphy)
+  ecrit_mth = NINT(86400. *ecritphy)
+  call getin('ecrit_mth',ecrit_mth)
+!
+!Config Key  = ecrit_tra
+!Config Desc =
+!Config Def  = NINT(86400./dtime * ecritphy) !tous les pas de temps physiques
+!Config Help =
+!
+! ecrit_tra = NINT(86400./dtime * ecritphy)
+  ecrit_tra = NINT(86400.* ecritphy)
+  call getin('ecrit_tra',ecrit_tra)
+!
+!Config Key  = ecrit_reg
+!Config Desc =
+!Config Def  = NINT(86400./dtime *0.25)  !4 fois par jour
+!Config Help =
+!
+! ecrit_reg = NINT(86400./dtime *0.25)  !4 fois par jour
+  ecrit_reg = NINT(86400. *0.25)  !4 fois par jour
+  call getin('ecrit_reg',ecrit_reg)
+!
+
 
   write(numout,*)' ##############################################'
@@ -642,5 +758,11 @@
   write(numout,*)' iflag_pbl = ', iflag_pbl
   write(numout,*)' iflag_thermals = ', iflag_thermals
-
+  write(numout,*)' type_run = ',type_run 
+  write(numout,*)' ok_isccp = ',ok_isccp 
+  write(numout,*)' ok_regdyn = ',ok_regdyn
+  write(numout,*)' lonmin lonmax latmin latmax bilKP_ins =',&
+ & lonmin_ins, lonmax_ins, latmin_ins, latmax_ins
+  write(numout,*)' ecrit_ ins, hf, hf2mth, day, mth, reg, tra',&
+ & ecrit_ins, ecrit_hf, ecrit_hf2mth, ecrit_day, ecrit_mth, ecrit_reg, ecrit_tra
   return
 
